-- Author: VertexFloat
-- Date: 22.11.2021
-- Version: Farming Simulator 22, 1.0.0.0
-- Copyright (C): VertexFloat, All Rights Reserved
-- Register CutterFix specialization

g_specializationManager:addSpecialization('CutterFix', 'CutterFix', Utils.getFilename('src/vehicles/specializations/CutterFix.lua', g_currentModDirectory), true, nil)

for vehicleName, vehicleType in pairs(g_vehicleTypeManager.types) do
	if SpecializationUtil.hasSpecialization(Combine, vehicleType.specializations) then
		g_vehicleTypeManager:addSpecialization(vehicleName, 'CutterFix')
	end
 end